Subject: Re: [dtn-users] requesting help on making link-up/down at specified time-reg

From: Darren Long <[email-masked]>
Date: Sun, 01 Apr 2012 20:13:28 +0100

Hi Gokul,

A similar question was asked recently, I've quoted the whole thread below.  There are two attachments, one script brings up a link, the other takes it down.  Modify them as appropriate and add them to your crontab to define the schedule.

Its a bit of a dirty hack, but it works well enough for me.

Hope this helps,

Darren

Begin forwarded message:

> From: Darren Long <[email-masked]>
> Subject: Re: [dtn-users] How to configure a list of scheduled contacts for a DTN2 node
> Date: 20 February 2012 20:11:56 GMT
> To: [email-masked]
> 
> Ok, these seem to work for me.  If you wish to use them, you'll probably
> have to change tcp3 to be your link name on line 50.
> 
> To get these, I used "autoexpext -f", and then manually set the option
> force_conservative to 1 on line 20.  I think the "-c" option to
> autoexpect would have done that for me.
> 
> I then hacked out bits from the script that looked like they might be
> different if invoked by cron.  These scripts don't care whether or not
> the link does come up or down or whatever, they just try then exit.
> 
> I'm glad you asked the question, as I hadn't realised I'd deleted my
> crob job scripts by accident. I'm more likely to remember how to do this
> having done it twice now :P
> 
> Cheers,
> 
> Darren
> 
> 
> 
> On 20/02/12 18:52, Patrice Raveneau wrote:
>> Hi Darren,
>> 
>> Thank you for your help.
>> 
>> I was not aware of the autoexpect command.
>> Would you have a script you could provide me in order to facilitate my
>> understanding of your method.
>> 
>> Thanks again.
>> 
>> Regards,
>> 
>> Patrice
>> 
>> 
>> Le 20/02/2012 19:43, Darren Long a écrit :
>>> Hi Patrice
>>> 
>>> While not a stunningly impressive approach, I resorted to using
>>> autoexpect to record a pair of telnet sessions with dtnd in which i
>>> manually bring up and take down the link in question and then use
>>> crontab to set them on a schedule.
>>> 
>>> I use this to periodically connect my test network to the GRC dtn-bone
>>> which generates a bit too much traffic for my poor 1200 baud AX.25
>>> connections, so I only connect to it for 1 minute every 30 minutes.
>>> 
>>> Cheers,
>>> 
>>> Darren
>>> 
>>> On 20/02/12 17:45, Patrice Raveneau wrote:
>>>> wHi,
>>>> 
>>>> I am intenting to test communications through multiple nodes with
>>>> intermittent but scheduled links.
>>>> Hence I would like to use scheduled links between my nodes.
>>>> However, I cannot find any information on how to modify a list of
>>>> scheduled contacts within a DTN2 implementation.
>>>> 
>>>> Thanks in advance.
>>>> 
>>>> Regards,
>>>> 
>>> _______________________________________________
>>> dtn-users mailing list
>>> [email-masked]
>>> https://www.irtf.org/mailman/listinfo/dtn-users
>